Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.compara.datamodel
Interface GenomeDB

All Superinterfaces:
  Persistent, java.io.Serializable

public interface GenomeDB
extends Persistent

I represent a single species which is part of the compara- analyses.

Method Summary
`java.lang.String` | `getAssembly()`
`java.lang.String` | `getGeneBuild()`
`java.lang.String` | `getLocator()`
`java.lang.String` | `getName()`
`int` | `getTaxonId()`
`boolean` | `isDefaultAssembly()`
`void` | `setAssembly(java.lang.String newValue)`
`void` | `setDefaultAssembly(boolean defaultAssembly)`
`void` | `setGeneBuild(java.lang.String geneBuild)`
`void` | `setLocator(java.lang.String locator)`
`void` | `setName(java.lang.String name)`
`void` | `setTaxonId(int taxonId)`

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Method Detail

### getAssembly

    public java.lang.String getAssembly()

### setAssembly

    public void setAssembly(java.lang.String newValue)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getTaxonId

    public int getTaxonId()

### setTaxonId

    public void setTaxonId(int taxonId)

### isDefaultAssembly

    public boolean isDefaultAssembly()

### setDefaultAssembly

    public void setDefaultAssembly(boolean defaultAssembly)

### getGeneBuild

    public java.lang.String getGeneBuild()

### setGeneBuild

    public void setGeneBuild(java.lang.String geneBuild)

### getLocator

    public java.lang.String getLocator()

### setLocator

    public void setLocator(java.lang.String locator)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD